{% extends "jmdc-main.jinja2" %}

{% block content %}
        <div class="mwafisp mauto">
            <div>Soumission postée le {{submission.create_ts}} par {{submission.email}}</div>
            <form method="post" action="{{request.route_path('moderate-submission', token=token)}}">
            <input type="hidden" name="csrf_token" value="{{ get_csrf_token() }}"/>
            <table id="submission-lines" class="cell-border">
                <thead>
                    <tr>
                        <th><button id="toggle-all">click all</button></th>
                        <th>line number</th>
                        <th>ID1</th>
                        <th>ID2</th>
                        <th>UD_DIAM</th>
                        <th>LD_DIAM</th>
                        <th>E_LD_DIAM</th>
                        <th>BAND</th>
                        <th>MU_LAMBDA</th>
                        <th>METHOD</th>
                        <th>BAND_CODE</th>
                        <th>NOTES</th>
                        <th>BIBCODE</th>
                        <th>SINPE</th>
                    </tr>
                </thead>
                <tbody>
                    {% for entry in entries %}
                        <tr>
                            <td><input type="checkbox" name="valid[{{entry.star_info.id}}]" value="{{entry.star_info.id}}" {% if entry.validated %}checked="on"{% endif %}/></td>
                            <td>{{ entry.line_number or '' }}</td>
                            <td><a href="http://simbad.u-strasbg.fr/simbad/sim-id?Ident={{ entry.star_info.id1 or '' }}">{{ entry.star_info.id1 or '' }}</a></td>
                            <td>{{ entry.star_info.id2 or '' }}</td>
                            <td>{{ entry.star_info.ud_diam or '' }}</td>
                            <td>{{ entry.star_info.ld_diam or '' }}</td>
                            <td>{{ entry.star_info.e_ld_diam or '' }}</td>
                            <td>{{ entry.star_info.band or '' }}</td>
                            <td>{{ entry.star_info.mu_lambda or '' }}</td>
                            <td>{{ entry.star_info.method or '' }}</td>
                            <td>{{ entry.star_info.band_code or '' }}</td>
                            <td>{{ entry.star_info.notes or '' }}</td>
                            <td><a href="https://ui.adsabs.harvard.edu/abs/{{ entry.star_info.bibcode or '' }}/abstract">{{ entry.star_info.bibcode or '' }}</a></td>
                            <td>{{ entry.star_info.sinpe or '' }}</td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td colspan="14"><input type="text" name="comment[{{entry.star_info.id or '' }}]" value="{% if entry.comment %}{{entry.comment or '' }}{% endif %}"></input></td>
                        </tr>
                    {% endfor %}
               </tbody>
            </table>
            <button>submit</button>
            </form>
            <script type="text/javascript">
            <!--
            $(document).ready( function () {
                /*
                $('#submission-lines').DataTable({
                    searching: false
                });
                */
                $('#toggle-all').click((event)=>{
                    event.stopImmediatePropagation();
                    event.preventDefault(); 
                    $("[type='checkbox']").click();
                });
            } );
            -->
            </script>
        </div>
{% endblock content %}
